import request from '@/utils/request'

// 查询元器件使用经历列表
export function listRecord(query) {
  return request({
    url: '/biz/record/list',
    method: 'get',
    params: query
  })
}

// 查询元器件使用经历详细
export function getRecord(id) {
  return request({
    url: '/biz/record/' + id,
    method: 'get'
  })
}

// 新增元器件使用经历
export function addRecord(data) {
  return request({
    url: '/biz/record',
    method: 'post',
    data: data
  })
}

// 修改元器件使用经历
export function updateRecord(data) {
  return request({
    url: '/biz/record',
    method: 'put',
    data: data
  })
}

// 删除元器件使用经历
export function delRecord(id) {
  return request({
    url: '/biz/record/' + id,
    method: 'delete'
  })
}

//实现下拉框选择
export function getall() {
  return request({
    url: '/biz/component/all',
    method: 'get'
  })
}
